## EDU.oswego.cs.dl.util.concurrent
Class ConcurrentHashMap.HashIterator

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.ConcurrentHashMap.HashIterator

All Implemented Interfaces:
  java.util.Enumeration, java.util.Iterator

Direct Known Subclasses:
  ConcurrentHashMap.KeyIterator, ConcurrentHashMap.ValueIterator

Enclosing class:
  ConcurrentHashMap

    protected class ConcurrentHashMap.HashIterator

extends java.lang.Object
implements java.util.Iterator, java.util.Enumeration

Field Summary
`protected java.lang.Object` `currentKey`
`protected java.lang.Object` `currentValue`
`protected ConcurrentHashMap.Entry` `entry`
`protected int` `index`
`protected ConcurrentHashMap.Entry` `lastReturned`
`protected ConcurrentHashMap.Entry[]` `tab`

Constructor Summary
`protected` `ConcurrentHashMap.HashIterator()`

Method Summary
`boolean` `hasMoreElements()`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`java.lang.Object` `nextElement()`
`void` `remove()`
`protected java.lang.Object` `returnValueOfNext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tab

    protected final ConcurrentHashMap.Entry[] tab

### index

    protected int index

### entry

    protected ConcurrentHashMap.Entry entry

### currentKey

    protected java.lang.Object currentKey

### currentValue

    protected java.lang.Object currentValue

### lastReturned

    protected ConcurrentHashMap.Entry lastReturned

Constructor Detail

### ConcurrentHashMap.HashIterator

    protected ConcurrentHashMap.HashIterator()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### returnValueOfNext

    protected java.lang.Object returnValueOfNext()

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`